Package: groovy.org.codenarc

## [Groovy] Class AnalysisContext

- groovy.org.codenarc.AnalysisContext

- Holds information related to the configuration and context for the source code analysis.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `RuleSet` | `ruleSet` The RuleSet containing the rules being applied.
    `List` | `sourceDirectories` The List of source directories being analyzed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### RuleSet ruleSet

      The RuleSet containing the rules being applied.

    - #### List sourceDirectories

      The List of source directories being analyzed. May be null or empty.